Subject: Re: (ngtrans) 6to4dns options

From: Brian E Carpenter <[email-masked]>
Date: Wed, 28 Feb 2001 08:49:00 -0600

(A) has the problem that if the v4address is dynamic, there will be
timescale issues for creating traditional static records. But I think
it's the safe fallback solution for the "classical" 6to4 site such as
a corporate network that connects for a long period. For small business/
home network type of user I feel it has to be pseudo-records generated
with no work on the user side - and the objection raised to (D) seems
valid to me. I have no opinion between (B) and (C).

  Brian

Keith Moore wrote:
> 
> at the San Diego meeting, I talked about design choices for 6to4dns
> asked for feedback as to which choices were preferable.  In particular,
> I presented the following options for where the pseudo-records for
> 6to4 addresses could be generated.  the choices I presented were:
> 
>   (A) Authoritative servers generate new static records (based on
>       existing records)
> 
>   (B) Pseudo-records generated by DNS zone servers
> 
>   (C) Pseudo-records generated by DNS resolvers
> 
>   (D) Pseudo-records inferred by client query libraries
> 
> I had assumed that (D) would be the best choice, but several of those
> in attendance objected, claiming that it was infeasible to expect
> clients to upgrade their libraries to support 6to4 inverse address lookups.
> 
> Some people suggested other options as being preferable, but I couldn't
> hear them well enough to understand which ones were being suggested.
> Also, I couldn't tell if there were any consensus about this choice.
> 
> So I'd like to introduce the topic on the list - which of these choices
> is preferable, and why?
> 
> Keith
> 
> (to refresh your memories, the I-D can be found at:
> 
> ftp://ftp.ietf.org/internet-drafts/draft-moore-6to4-dns-01.txt
> 
> and the presentation can be found at
> 
> http://www.cs.utk.edu/~moore/Slides/6to4dns/sld001.html )